image: ubuntu:latest

before_script:
  - apt-get update
  - DEBIAN_FRONTEND=noninteractive apt-get install -y curl git build-essential pkg-config libssl-dev texlive-full
  - curl https://sh.rustup.rs -sSf | sh -s -- -y
  - export PATH="$HOME/.cargo/bin:$PATH"

stages:
  - build

buildnrun:
  stage: build
  script:
    - git clone https://github.com/lquenti/ankiding.git
    - cd ankiding
    - cargo build --release
    - cd ..
    - ./ankiding/target/release/ankiding Informatik
  artifacts:
    paths:
      - ./output.apkg
